moeoVectorUM(3)

NAME
moeoVectorUM - Base class for unary metrics dedicated to the performance evaluation of a Pareto set (a vector of Pareto fitnesses).

SYNOPSIS

#include <moeoMetric.h>

Inherits moeoUM< const std::vector< EOFitness > &, R >.

Detailed Description

  template<class EOT, class R, class EOFitness = typename EOT::Fitness> class moeoVectorUM< EOT, R, EOFitness >
Base class for unary metrics dedicated to the performance evaluation of a Pareto set (a vector of Pareto fitnesses).

Definition at line 58 of file moeoMetric.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.